#Makefile for astronomy functions of psLib
#
AM_CFLAGS=$(CFLAGS) -DPS_CONFIG_FILE_DEFAULT=\"$(sysconfdir)/pslib/psTime.config\"

INCLUDES = \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/image \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibastronomy.la
libpslibastronomy_la_SOURCES = \
	psTime.c \
	psCoord.c \
	psAstrometry.c \
        aoppa.f aopqk.f oapqk.f airmas.f eqeqx.f geoc.f refco.f aoppat.f \
        dranrm.f dcs2c.f refz.f refro.f dcc2s.f gmst.f atms.f atmt.f nutc.f drange.f

BUILT_SOURCES = psAstronomyErrors.h

EXTRA_DIST = psAstronomyErrors.dat psAstronomyErrors.h astronomy.i

psAstronomyErrors.h: psAstronomyErrors.dat
	perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psTime.h \
	psCoord.h \
	psAstrometry.h \
	psPhotometry.h \
	slalib.h

